!     FORTPREP CONSTANTS AS SET IN NMC HANDBOOK FROM SMITHSONIAN TABLES.
!     PHYSICAL CONSTANTS ARE GIVEN TO 5 PLACES, MATH CONSTANTS TO 7.
!     90/04/30: G AND RD ARE MADE CONSISTENT WITH NWS USAGE.

      real REARTH,GRAV,OMEGA,RD,RV,RVRDM1,CP,CVAP,CLIQ,HVAP, &
           HFUS,PSAT,SBC,SOLR,T0C,TTP,JCAL,PI,SQRT2,SQRT3,FV

!               NAME   VALUE         DESCRIPTION                     UNITS
!               ----   -----         -----------                     -----
      parameter(REARTH=6.3712E+6)!   RADIUS OF EARTH                 (M)
!     parameter(GRAV=9.8062E+0)!   GRAVITATIONAL ACCELERATION      (M/S2)
      parameter(GRAV=9.8000E+0)!
      parameter(OMEGA=7.2921E-5)!   ANGULAR VELOCITY OF EARTH       (1/S)
!     parameter(RD=2.8704E+2)!   GAS CONSTANT OF DRY AIR         (J/KG/K)
      parameter(RD=2.8705E+2)!
      parameter(RV=4.6150E+2)!   GAS CONSTANT OF H2O VAPOR       (J/KG/K)
      parameter(RVRDM1=0.6077338)!   0.61 APPROX.                    (J/KG/K)
      parameter(CP=1.0046E+3)!   SPECIFIC HEAT OF AIR @PRESSURE  (J/KG/K)
!      parameter(CV=7.1760E+2)!   SPECIFIC HEAT OF AIR @VOLUME    (J/KG/K)
      parameter(CVAP=1.8460E+3)!   SPECIFIC HEAT OF H2O VAPOR      (J/KG/K)
      parameter(CLIQ=4.1855E+3)!   SPECIFIC HEAT OF LIQUID H2O     (J/KG/K)
      parameter(HVAP=2.5000E+6)!   LATENT HEAT OF H2O CONDENSATION (J/KG)
      parameter(HFUS=3.3358E+5)!   LATENT HEAT OF H2O FUSION       (J/KG)
      parameter(PSAT=6.1078E+2)!   PRESSURE AT H2O TRIPLE POINT    (PA)
      parameter(SBC=5.6730E-8)!   STEFAN-BOLTZMANN CONSTANT       (W/M2/K4)
      parameter(SOLR=1.3533E+3)!   SOLAR CONSTANT                  (W/M2)
      parameter(T0C=2.7315E+2)!   TEMPERATURE AT ZERO CELSIUS     (K)
      parameter(TTP=2.7316E+2)!   TEMPERATURE AT H2O TRIPLE POINT (K)
      parameter(JCAL=4.1855E+0)!   JOULES PER CALORIE              ()
      parameter(PI=3.141593E+0)! PI                              ()
      parameter(SQRT2=1.414214E+0)! SQUARE ROOT OF 2                ()
      parameter(SQRT3=1.732051E+0)! SQUARE ROOT OF 3                ()
      PARAMETER(FV=RV/RD-1.)       ! used in virtual temp. equation  ()
